%define upstream_name    Dist-Zilla-PluginBundle-CJM
%define upstream_version 4.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get distribution version from its main_module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.101.780
BuildRequires: perl(Dist::Zilla::Plugin::ArchiveRelease) >= 0.80.0
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::GitVersionCheckCJM) >= 3.20.0
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MatchManifest) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodLoom) >= 3.10.0
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::Repository) >= 0.160.0
BuildRequires: perl(Dist::Zilla::Plugin::TemplateCJM) >= 3.40.0
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Plugin::VersionFromModule) >= 0.80.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.103.520
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildArch:  noarch

%description
If included, this plugin will process each _.pm_ and _.pod_ file under
_lib_ or in the root directory through Pod::Loom.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 02 2011 jquelin <jquelin> 4.10.0-1.mga1
+ Revision: 62633
- update to 4.01

* Wed Jan 26 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 40636
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-CJM

